Skip to main content
DELETE
/
v1
/
users
/
{id}
Delete a User
curl --request DELETE \
  --url https://api.us.lexful.app/v1/users/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Account-ID: <api-key>' \
  --data '
{
  "transfer_ownership_to": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "status": 123,
  "message": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "developer_message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Path Parameters

id
string<uuid>
required

User ID

Body

application/json
transfer_ownership_to
string<uuid>

User ID to transfer entity ownership to (required if user owns entities)

Response

Allowed IP deleted successfully